=== debian/control ===
Source: tinysnmp
Section: net
Priority: optional
Maintainer: Abraham vd Merwe <abz@debian.org>
Build-Depends: debhelper (>> 3.0.0), libevent-dev, libdebug0-dev (>= 0.3.2), libber0-dev (>= 0.3.2), libabz0-dev (>= 0.4.4)
Standards-Version: 3.5.8

Package: tinysnmp-dev
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, libdebug0-dev (>= 0.3.2), libber0-dev (>= 0.3.2), libabz0-dev (>= 0.4.4)
Suggests: tinysnmp-manager-dev (>= 0.6.1), tinysnmp-agent-dev (>= 0.6.1)
Description: Files needed for developing TinySNMP programs and plugins
 This is a fast, leightweight implementation of the SNMPv1 protocol
 as described in RFC 1157. There is no support for ASN.1 (yet).
 .
 This package contains files needed if you wish to use the tinysnmp
 libraries in your own programs.

Package: tinysnmp-manager-dev
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, tinysnmp-dev (>= 0.6.1)
Suggests: tinysnmp-agent-dev (>= 0.6.1), tinysnmp-tools (>= 0.6.1)
Description: Libraries and header files for developing TinySNMP programs
 This is a fast, leightweight implementation of the SNMPv1 protocol
 as described in RFC 1157. There is no support for ASN.1 (yet).
 .
 This package contains files needed if you wish to create manager software
 that use the tinysnmp implementation.

Package: tinysnmp-tools
Architecture: any
Section: net
Depends: ${shlibs:Depends}
Suggests: tinysnmp-agent (>= 0.6.1)
Description: TinySNMP Utilities
 This is a fast, leightweight implementation of the SNMPv1 protocol
 as described in RFC 1157. There is no support for ASN.1 (yet).
 .
 This package contains implementations of the popular SNMP utilities found
 in many SNMP implementations. This includes tinysnmpget, tinysnmpgetnext,
 and tinysnmpwalk.

Package: tinysnmp-agent-dev
Architecture: all
Section: devel
Depends: ${shlibs:Depends}, tinysnmp-dev (>= 0.6.1)
Suggests: tinysnmp-manager-dev (>= 0.6.1), tinysnmp-agent (>= 0.6.1), tinysnmp-tools (>= 0.6.1)
Description: Libraries and header files for developing TinySNMP plugins
 This is a fast, leightweight implementation of the SNMPv1 protocol
 as described in RFC 1157. There is no support for ASN.1 (yet).
 .
 This package contains files needed if you wish to create agent modules
 for the tinysnmp agent.

Package: tinysnmp-agent
Architecture: any
Section: net
Depends: ${shlibs:Depends}
Suggests: tinysnmp-module-mib2 (>= 0.6.1), tinysnmp-module-resources (>= 0.6.1), tinysnmp-tools (>= 0.6.1)
Description: A lightweight SNMPv1 implementation
 This is a fast, leightweight implementation of the SNMPv1 protocol
 as described in RFC 1157. There is no support for ASN.1 (yet).
 .
 This package contains the tinysnmp agent daemon.

Package: tinysnmp-module-mib2
Architecture: any
Section: net
Depends: ${shlibs:Depends}, tinysnmp-agent (>= 0.6.1)
Suggests: tinysnmp-tools (>= 0.6.1)
Description: MIB-2 (RFC 1450) plugin for TinySNMP
 This is a fast, leightweight implementation of the SNMPv1 protocol
 as described in RFC 1157. There is no support for ASN.1 (yet).
 .
 This package contains partial support for SNMPv2 MIB as described
 in RFC 1450.

Package: tinysnmp-module-resources
Architecture: any
Section: net
Depends: ${shlibs:Depends}, tinysnmp-agent (>= 0.6.1)
Suggests: tinysnmp-tools (>= 0.6.1)
Description: Frogfoot Networks Resources MIB plugin for TinySNMP
 This is a fast, leightweight implementation of the SNMPv1 protocol
 as described in RFC 1157. There is no support for ASN.1 (yet).
 .
 This package contains support for Frogfoot Networks Resources MIB.
