## tinysnmp 0.8.3

=== debian/changelog ===
tinysnmp (0.8.3) unstable; urgency=low

  * Fixed command-line parser bug in tinysnmp{get,set,walk}.

 -- Abraham vd Merwe <abz@debian.org>  Thu,  6 Oct 2004 18:18:52 +0200

tinysnmp (0.8.2) unstable; urgency=low

  * Fixed timing bug in synchronous manager routines
  * Added support for 2.6.x in resources module
  * Updated dependencies

 -- Abraham vd Merwe <abz@debian.org>  Tue,  7 Sep 2004 10:34:12 +0200

tinysnmp (0.8.1) unstable; urgency=low

  * Added Sensors MIB.
  * Added support for DVB Receiver cards in Linux.
  * New module interface. OIDs now removed automatically prior
    to calling update functions, sysORID's now point to conformance
    information, not mib objects.
  * New asynchronous manager library.
  * Use syslog instead of own log file.

 -- Abraham vd Merwe <abz@debian.org>  Fri,  6 Aug 2004 12:51:27 +0200

tinysnmp (0.7.1) unstable; urgency=low

  * Fixed bug in module parsing.
  * Yet another module interface change.
  * Added support for RFC-1628 UPS mib (using apcupsd).
  * Now have fully SNMPv2 compliant mib support.
  * Include all necessary mibs with agent/modules.

 -- Abraham vd Merwe <abz@debian.org>  Thu, 22 Jul 2004 01:09:55 +0200

tinysnmp (0.6.3) unstable; urgency=low

  * Updated Debian policy version
  * Implemented storage, load sections of resources mib.
  * Removed traffic mib.
  * Updated resources mib.

 -- Abraham vd Merwe <abz@debian.org>  Sat, 17 Jul 2004 18:17:51 +0200
