## tinysnmp 0.8.4

=== agent/Makefile ===
--- 
+++ 
@@ -42,9 +42,9 @@
 DIR =
 
 # names of object files
-OBJ = cmdline.o config.o agent.o	\
-	module.o snmp.o network.o		\
-	odb.o main.o
+OBJ = cmdline.o config.o agent.o module.o	\
+	snmp.o network.o odb.o module-snmp.o	\
+	module-system.o main.o
 
 # program name (leave as is if there is no program)
 PRG = tinysnmpd
@@ -71,6 +71,11 @@
 	$(INSTALL) -d $(mandir)/man3
 	$(INSTALL) -c -m 0644 tinysnmp-modules.3 $(mandir)/man3
 	gzip -9 $(mandir)/man3/tinysnmp-modules.3
+	$(INSTALL) -d $(datadir)/tinysnmp/mibs
+	$(INSTALL) -c -m 0644 $(TOPDIR)/mibs/SNMPv2-SMI.txt $(datadir)/tinysnmp/mibs
+	$(INSTALL) -c -m 0644 $(TOPDIR)/mibs/SNMPv2-TC.txt $(datadir)/tinysnmp/mibs
+	$(INSTALL) -c -m 0644 $(TOPDIR)/mibs/SNMPv2-CONF.txt $(datadir)/tinysnmp/mibs
+	$(INSTALL) -c -m 0644 $(TOPDIR)/mibs/SNMPv2-MIB.txt $(datadir)/tinysnmp/mibs
 
 uninstall::
 	$(RM) $(sbindir)/$(PRG)
@@ -78,4 +83,8 @@
 	$(RM) $(mandir)/man8/$(PRG).8.gz
 	$(RM) $(mandir)/man5/tinysnmp.conf.5.gz
 	$(RM) $(mandir)/man3/tinysnmp-modules.3.gz
+	$(RM) $(datadir)/tinysnmp/SNMPv2-SMI.txt
+	$(RM) $(datadir)/tinysnmp/SNMPv2-TC.txt
+	$(RM) $(datadir)/tinysnmp/SNMPv2-CONF.txt
+	$(RM) $(datadir)/tinysnmp/SNMPv2-MIB.txt
