=== debian/changelog ===
tinysnmp (0.8.4) unstable; urgency=low

  * Compile with -O0 instead of -Os on sparc64 (Closes: #282260)
  * Link against latest libevent1

 -- Abraham vd Merwe <abz@debian.org>  Wed,  9 Feb 2005 17:50:15 +0200
