=== debian/rules ===
--- 
+++ 
@@ -59,13 +59,11 @@
 	dh_movefiles -a
 	dh_installdocs -a
 	dh_installexamples -a
-	dh_installlogrotate -a
 	dh_installinit -a
 	dh_installman -a
 	dh_installchangelogs -a
 	dh_link -ptinysnmp-tools usr/bin/tinysnmpget usr/bin/tinysnmpgetnext
 	dh_link -ptinysnmp-tools usr/bin/tinysnmpget usr/bin/tinysnmpwalk
-	dh_link -ptinysnmp-tools usr/bin/tinysnmpget usr/bin/tinysnmptable
 	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
